#ifndef _MEMTRACE_INT_H_
#define _MEMTRACE_INT_H_
#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef enum
{
	MEMTRACE_NONE,
	MEMTRACE_MALLOC,
	MEMTRACE_MEMALIGN,
	MEMTRACE_CALLOC,
	MEMTRACE_REALLOC,
	MEMTRACE_FREE
} packetType;

typedef struct packet_t
{
	int32_t type;
	uint32_t ptr;
	uint32_t arg1;
	uint32_t arg2;
	int32_t line;
	uint32_t strsize;
} packet;


#ifdef __cplusplus
}
#endif

#endif
